Skip to content
Start here

Get Vectorize Index Info

client.vectorize.indexes.info(stringindexName, IndexInfoParams { account_id } params, RequestOptionsoptions?): IndexInfoResponse { dimensions, processedUpToDatetime, processedUpToMutation, vectorCount } | null
GET/accounts/{account_id}/vectorize/v2/indexes/{index_name}/info

Get information about a vectorize index.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Vectorize WriteVectorize Read
ParametersExpand Collapse
indexName: string
params: IndexInfoParams { account_id }
account_id: string

Identifier

maxLength32
ReturnsExpand Collapse
IndexInfoResponse { dimensions, processedUpToDatetime, processedUpToMutation, vectorCount }
dimensions?: number

Specifies the number of dimensions for the index

maximum1536
minimum1
processedUpToDatetime?: string | null

Specifies the timestamp the last mutation batch was processed as an ISO8601 string.

formatdate-time
processedUpToMutation?: string

The unique identifier for the async mutation operation containing the changeset.

maxLength36
vectorCount?: number

Specifies the number of vectors present in the index

Get Vectorize Index Info

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.vectorize.indexes.info('example-index', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.dimensions);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "dimensions": 768,
    "processedUpToDatetime": "2024-07-22T18:25:44.442097Z",
    "processedUpToMutation": "0000aaaa-11bb-22cc-33dd-444444eeeeee",
    "vectorCount": 300000
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "dimensions": 768,
    "processedUpToDatetime": "2024-07-22T18:25:44.442097Z",
    "processedUpToMutation": "0000aaaa-11bb-22cc-33dd-444444eeeeee",
    "vectorCount": 300000
  },
  "success": true
}